# Administration Reference

## backup delvolset

Purpose

Deletes one or more volume sets from the Backup Database

Synopsis

    backup delvolset -name <volume set name>+
                     [-localauth]  [-cell <cell name>]  [-help]

    backup delvols -n <volume set name>+  [-l]  [-c <cell name>]  [-h]

Description

The backup delvolset command deletes each volume set named by the -name argument, and the volume entries each contains, from the Backup Database. The backup listvolsets command lists the volume sets (and their volume entries) currently defined in the Backup Database.

Cautions

Deleting a temporary volume set is possible only within the interactive session in which it was created. Exiting the interactive session also destroys the temporary volume set automatically.

Options

-name
  Names each volume set to delete.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The backup command interpreter presents it to the Backup Server, Volume Server and VL Server during mutual authentication. Do not combine this flag with the -cell argument. For more details, see the introductory backup reference page.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory backup reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command deletes the volume set called user and all volume entries in it:

       % backup delvolset user

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on every machine where the Backup Server is running, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

Related Information

backup

backup addvolentry

backup addvolset

backup delvolentry

backup listvolsets

© IBM Corporation 2000. All Rights Reserved